@import "../../styles/utils/mixins.scss";
@import "../../styles/utils/variables.scss";

.table {
  border: $gray-100 solid 1px;
  height: 50px;
  display: flex;

  & > div:not(.table__text) {
    display: flex;
    align-items: center;
  }

  &__color {
    flex: 0 0 2%;
  }

  &__date {
    flex: 0 0 16%;
    justify-content: center;
  }

  &__logo {
    flex: 0 0 16%;
    justify-content: center;
  }

  .logo {
    height: 3.5rem;
  }

  &__text {
    flex: 0 0 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding-left: 10px;
  }

  &__amount {
    flex: 0 0 16%;
    padding-left: 5px;
  }
}
